"""create table for users

Revision ID: 2f1d63665737
Revises: 0001
Create Date: 2023-05-24 12:00:00.000000
"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func

# revision identifiers
revision = '2f1d63665737'
down_revision = '0001'
branch_labels = None
depends_on = None

def upgrade():
    op.create_table(
        'users',
        sa.Column('id', sa.String(), primary_key=True),
        sa.Column('username', sa.String(), unique=True, index=True),
        sa.Column('email', sa.String(), unique=True, index=True),
        sa.Column('hashed_password', sa.String()),
        sa.Column('phone_number', sa.String()),
        sa.Column('disabled', sa.Boolean(), server_default='false'),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now())
    )

def downgrade():
    op.drop_table('users')