from fastapi import APIRouter, Depends, HTTPException, status
from sqlalchemy.orm import Session
from core.database import get_db
from models.user import User
from schemas.user import UserSchema, UserLogin

router = APIRouter()

@router.post("/login", status_code=status.HTTP_200_OK, response_model=UserSchema)
async def login(
    user_data: UserLogin,
    db: Session = Depends(get_db)
):
    """Login and collect user phone number"""
    # Helper function to authenticate user and retrieve user object with phone number
    user = authenticate_user_and_get_phone(db, user_data)
    if not user:
        raise HTTPException(status_code=400, detail="Invalid credentials")
    return user